# Note that this is NOT a relocatable package
Summary:   Locale configuration
Name:      locale_config
Version:   0.3.4
Release:   2
License: GPL
Group: 	   Applications/System
Source0:   locale_config-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires:  usermode

BuildRequires: gtk+-devel
BuildRequires: gnome-libs-devel

%description
Configures system-wide locale settings.

%prep
%setup -q

%build
%configure
make 

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

strip $RPM_BUILD_ROOT%{_prefix}/sbin/* ||:

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/*
%{_sbindir}/*
%config %{_sysconfdir}/pam.d/*
%config %{_sysconfdir}/security/console.apps/*
%{_sysconfdir}/X11/applnk/System/locale_config.desktop

%changelog
* Mon Apr 15 2002 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- s/Copyright/License/
- Update translations

* Wed Apr 10 2002 Owen Taylor <otaylor@redhat.com>
- 0.3.4
- Fix shvar.c problem with not \0 terminating input buffer

* Thu Jan 24 2002 Owen Taylor <otaylor@redhat.com>
- 0.3.3
- Fix translation of column headers (#56075, Christian Rose)
- Merge in patch for setting LANGUAGE for zh_CN.GB2312 (#57160)
- Mark "Reading locales..." for translation (#57956, Christian Rose)
- Use shvar.c from initscripts. (Fixed some corruption probably
  apparently, though I can't find what would have mattered,
  reading the diff.)

* Fri Aug 31 2001 Owen Taylor <otaylor@redhat.com>
- 0.3.2
- Fix problem with buffer overrun in shvar.c (#52959)

* Tue Aug 28 2001 Owen Taylor <otaylor@redhat.com>
- Make usermode config files %config
- Version 0.3.1
- Add progress bar, strip out UTF-8 locales.

* Wed Aug  1 2001 Yukihiro Nakai <ynakai@redhat.com>
- Move to autoconf/automake

* Tue Jul 24 2001 Yukihiro Nakai <ynakai@redhat.com>
- Internationalized.
- Add Japanese translation.

* Mon Mar  5 2001 Matt Wilson <msw@redhat.com>
- remove totally *braindead* compiled-in list of locales
- build locale list dynamically from glibc

* Sun Dec 11 2000 Yukihiro Nakai <ynakai@redhat.com>
- Fix Japanese, Korean, Chinese entries.

* Wed Jun 28 2000 Matt Wilson <msw@redhat.com>
- don't install as root

* Fri Feb 04 2000 Preston Brown <pbrown@redhat.com>
- don't set LINGUAS or LC_ALL
- add desktop entry

* Mon Sep 20 1999 Elliot Lee <sopwith@redhat.com> 0.2.13-1
- First try at an RPM
